# Build output directories
x64/
x86/
Debug/
Release/
out/

# CLion / CMake
.idea/
cmake-build-debug/
cmake-build-release/
cmake-build-*/
CMakeFiles/
CMakeCache.txt
cmake_install.cmake
Makefile

# Visual Studio
.vs/
*.user
*.suo
*.sdf
*.opensdf
*.VC.db
*.VC.opendb
ipch/

# Compiled files
*.obj
*.o
*.pch
*.pdb
*.ilk
*.exp
*.lib
*.dll
*.exe

# TortoiseGit
*.orig

# Windows
Thumbs.db
Desktop.ini